#! FluxPEEC 18.0
from shutil import copyfile
import os


if not os.path.exists('result') :
    os.mkdir('result')
     
# Results export
file = open('result/TestCase_RES.txt', 'a')
file.write("\n\n======================== Check of Voltage Source ======================== \n\n")
file.close()
     
FormulaVoltageSource[ALL].exportTXT(txtFile='result/TestCase_RES',
                                    mode='ADD VALUES')
            
file = open('result/TestCase_RES.txt', 'a')
file.write("\n\n======================== Check of Resistor ======================== \n\n")      
file.close()
     
Resistor[ALL].exportTXT(txtFile='result/TestCase_RES',
                        mode='ADD VALUES')
               
file = open('result/TestCase_RES.txt', 'a')
file.write("\n\n======================== Check of Conductor Unidirectional Tube ======================== \n\n")  
file.close()
     
ConductorUnidirectionalTube[ALL].exportTXT(txtFile='result/TestCase_RES',
                                           mode='ADD VALUES')
     
result = ComputeConductorsLosses(unidirectinalConductors=ConductorUnidirectional[ALL])
     
result = ComputeConductorsLosses(unidirectinalConductors=[ConductorUnidirectional['BAR_1'],
                                 ConductorUnidirectional['BAR_2'],
                                 ConductorUnidirectional['BAR_3'],
                                 ConductorUnidirectional['BAR_4'],
                                 ConductorUnidirectional['BAR_5'],
                                 ConductorUnidirectional['BAR_6'],
                                 ConductorUnidirectional['BAR_19'],
                                 ConductorUnidirectional['BAR_22']])
     
result = ComputeConductorsLosses(unidirectinalConductors=[ConductorUnidirectional['BAR_7'],
                                 ConductorUnidirectional['BAR_8'],
                                 ConductorUnidirectional['BAR_9'],
                                 ConductorUnidirectional['BAR_10'],
                                 ConductorUnidirectional['BAR_11'],
                                 ConductorUnidirectional['BAR_12'],
                                 ConductorUnidirectional['BAR_20'],
                                 ConductorUnidirectional['BAR_23']])
     
result = ComputeConductorsLosses(unidirectinalConductors=[ConductorUnidirectional['BAR_13'],
                                 ConductorUnidirectional['BAR_14'],
                                 ConductorUnidirectional['BAR_15'],
                                 ConductorUnidirectional['BAR_16'],
                                 ConductorUnidirectional['BAR_17'],
                                 ConductorUnidirectional['BAR_18'],
                                 ConductorUnidirectional['BAR_21'],
                                 ConductorUnidirectional['BAR_24']])
     
file = open('result/TestCase_RES.txt', 'a')
file.write("\n\n======================== Check of Scalar Result ======================== \n\n")  
file.close()
     
ScalarResult[ALL].exportTXT(txtFile='result/TestCase_RES',
                            mode='ADD VALUES')
               
     
result = ComputeConductorsLaplaceForce(unidirectinalConductors=ConductorUnidirectional[ALL],
                                       laplaceForceDensityCalculationMode='AverageLaplaceForceDensity')
                                   
file = open('result/TestCase_RES.txt', 'a')
file.write("\n\n======================== Check of Vectorial Result ======================== \n\n")  
file.close()
     
VectorialResult[ALL].exportTXT(txtFile='result/TestCase_RES',
                               mode='ADD VALUES')
              
saveProjectAs('postprocessed.FLU')
     
     
